Skip to content

getByIdCrmOpportunity_1

Request

Path
idinteger, (int32)required
GET
/api/v1/crm/opportunity/{id}
curl -i -X GET \
  'https://api.prana.software/api/v1/crm/opportunity/{id}'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring

Opportunity code

Default:""
Example:"OPP-0001"
namestring

Opportunity name

Default:""
Example:"Enterprise License Deal"
descriptionstring

Detailed description of the opportunity

Default:""
amountnumber

Total monetary amount of the opportunity

Default:""
Example:50000
currencyobject(ApiCurrencyListReadDto)

Currency of the opportunity

Default:""
probabilityinteger, (int32)

Win probability percentage (0-100)

Default:""
Example:60
expectedCloseDatestring, (date)

Expected closing date

Default:""
Example:"2026-06-30"
actualCloseDatestring, (date)

Actual closing date when won or lost

Default:""
Example:"2026-06-28"
sourcestring

Lead source or origin

Default:""
Example:"Referral"
lostReasonstring

Reason for losing the opportunity

Default:""
Example:"Price too high"
notesstring

Additional notes about the opportunity

Default:""
tagsArray of strings

Tags associated with the opportunity

Default:""
lastActivityAtstring, (date-time)

Date and time of the last activity

Default:""
Example:"2026-05-01T10:30:00Z"
accountobject(ApiCrmAccountListReadDto)

Account associated with this opportunity

Default:""
stageobject(ApiCrmStageListReadDto)

Current pipeline stage

Default:""
usersCompany1object(ApiUsersCompanyListReadDto)

Primary assigned user

Default:""
usersCompany2object(ApiUsersCompanyListReadDto)

Secondary assigned user

Default:""
usersCompany3object(ApiUsersCompanyListReadDto)

Tertiary assigned user

Default:""
primaryContactPersonobject(ApiCrmContactPersonListReadDto)

Primary contact person for this opportunity

Default:""
quotesArray of objects(ApiCrmOpportunityQuoteListReadDto)

Quotes linked to this opportunity

Default:""
createdOnstring, (date-time)

Creation timestamp

Default:""
Example:"2026-01-15T09:00:00Z"
modifiedOnstring, (date-time)

Last update timestamp

Default:""
Example:"2026-05-01T10:30:00Z"
Response
// No response example